GSE 2.1.01 Beta 1 Pending

Im about to release a Beta of 2.1.01 via Curse. It addresses the following:

  • Filter by Spec - hide macros for other specs #298
  • Allow import copy/paste from IE/Edge #306
  • Verify location after character login in so macros are initialised with correct location config #292
  • Editing a global macro creates a class-specific clone instead #297
  • Command line option to scan and fix errors - /gs checkmacrosforerrors #305
  • Identify and handle macros with errors #300

The last two options are there to deal with the corrupted macro errors that some people have found.

You can track the progress of this on https://github.com/TimothyLuke/GnomeSequencer-Enhanced/milestone/30

GSE 2.1.01 Beta 1 is giving Lua error:

Message: Interface\AddOns\GSE\API\StringFunctions.lua:45: attempt to index upvalue ‘Statics’ (a nil value)
Time: 05/12/17 05:53:14
Count: 1
Stack: Interface\AddOns\GSE\API\StringFunctions.lua:45: in function UnEscapeString' Interface\AddOns\GSE\API\StringFunctions.lua:34: in functionUnEscapeTable’
Interface\AddOns\GSE\API\StringFunctions.lua:8: in function UnEscapeSequence' Interface\AddOns\GSE\API\Events.lua:103: in function?’
…edia-3.0\CallbackHandler-1.0\CallbackHandler-1.0.lua:147: in function <…edia-3.0\CallbackHandler-1.0\CallbackHandler-1.0.lua:147>
[string “safecall Dispatcher[2]”]:4: in function <[string “safecall Dispatcher[2]”]:4>
[C]: ?
[string “safecall Dispatcher[2]”]:13: in function ?' ...edia-3.0\CallbackHandler-1.0\CallbackHandler-1.0.lua:92: in functionFire’
…\AddOns\WeakAuras\Libs\AceEvent-3.0\AceEvent-3.0.lua:120: in function <…\AddOns\WeakAuras\Libs\AceEvent-3.0\AceEvent-3.0.lua:119>
[C]: in function LoadAddOn' Interface\FrameXML\UIParent.lua:420: in functionUIParentLoadAddOn’
Interface\FrameXML\UIParent.lua:511: in function `TimeManager_LoadUI’
Interface\FrameXML\UIParent.lua:1056: in function <Interface\FrameXML\UIParent.lua:953>

Locals: str = “/cast Fiery Brand”
(*temporary) = <function> defined =[C]:-1
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = “attempt to index upvalue ‘Statics’ (a nil value)”
Statics = nil

It is also adding 2 blank panels with only ‘close’ option. Tested with all other addon’s disabled and clearing WTF folder. If close all Windows and type /gs a GSE\API GUIShowViewer error

Message: Interface\AddOns\GSE\API\Events.lua:264: attempt to call field ‘GUIShowViewer’ (a nil value)
Time: 05/12/17 06:07:50
Count: 1
Stack: Interface\AddOns\GSE\API\Events.lua:264: in function ?' ...ace\AddOns\GSE\Lib\AceConsole-3.0\AceConsole-3.0.lua:94: in function?’
Interface\FrameXML\ChatFrame.lua:4397: in function ChatEdit_ParseText' Interface\FrameXML\ChatFrame.lua:4065: in functionChatEdit_SendText’
Interface\FrameXML\ChatFrame.lua:4101: in function `ChatEdit_OnEnterPressed’
[string “:OnEnterPressed"]:1: in function <[string ":OnEnterPressed”]:1>

Thanks
Beef

I have also opened an issue on ‘github’ with a screenshot.

https://github.com/TimothyLuke/GnomeSequencer-Enhanced/issues/307

The version: GSE 2.1.01 Beta 1, does not work. I had to reinstall the version: GSE 2.1.01 Alpha 1 that works fine

[quote quote=48127]The version: GSE 2.1.01 Beta 1, does not work. I had to reinstall the version: GSE 2.1.01 Alpha 1 that works fine
[/quote]

This…mine isn’t working either and had to go back to Alpha version. Posted on Github

The eff man!!! you broke it!

For some reason Curse has broken it.

Downloading manually from here works
https://wow.curseforge.com/projects/gse-gnome-sequencer-enhanced-advanced-macros/files

I have a support ticket in with Curse for them to fix the version the client is downloading.

when you download the beta from that site the zip file says its the alpha

The Filename may say Alpha in the name. That’s just a Curse thing that I haven’t been able to work out how to get them to change that.

Are all versions of the Add-on broken? I tried downgrading to version 2.1.0 and even 2.0.14 and keep getting the LUA errors. Sorry in advanced if this was addressed in a previous post.

Message: Interface\AddOns\GSE\API\Storage.lua:758: attempt to index field ‘filterList’ (a nil value)
Time: 05/12/17 20:15:59
Count: 1
Stack: [C]: ?
Interface\AddOns\GSE\API\Storage.lua:758: in function GetSequenceNames' Interface\AddOns\GSE\GUI\Viewer.lua:276: in functionGUIShowViewer’
Interface\AddOns\GSE\API\Events.lua:227: in function ?' ...erface\AddOns\Ace3\AceConsole-3.0\AceConsole-3.0.lua:94: in function?’
Interface\FrameXML\ChatFrame.lua:4397: in function ChatEdit_ParseText' Interface\FrameXML\ChatFrame.lua:4065: in functionChatEdit_SendText’
Interface\FrameXML\ChatFrame.lua:4101: in function <Interface\FrameXML\ChatFrame.lua:4097>
[C]: in function `ChatEdit_OnEnterPressed’
[string “:OnEnterPressed"]:1: in function <[string ":OnEnterPressed”]:1>

I don’t know if this is the right topic to post, if not please excuse me.
I did try GSE for the first time since release and i am impressed. Now the translation is working great. All these functions - realy great job Timothy, thank you!

But there is one thing i cant figure out. I import a macro and it creates a image. Than i delete the macro (for testing) and reimport it, and i dont get the image, just a “?”.
The button “create a image” dotn work for me.

Thank you

Max!

No version is working… not beta, alpha or anything IS there going to be a fix for this? Love your work

Update
Please see the comment from ‘seoulcrusher’ near the bottom of this post:
https://github.com/TimothyLuke/GnomeSequencer-Enhanced/issues/307

I have also tested this method and it works fine and is a little easier. Just keep in mind that until this gets worked out, do not update GSE via the curse client.

Thanks seoulcrusher for the help!


If you installed a copy of GSE 2.1.01 via the Curse client you will need to remove it from your Addon’s folder, either manually or with Curse client. I have tested the following 3 times to confirm that GSE is working.

Once removed:

1 - Curse client >> Go to the ‘Get more Addons’ tab >> Search ‘GSE’
2 - Install ‘GSE’ >> This will install a copy of 2.1.0

If you want the ‘Fixes’ posted in github, then follow the steps above and then:

1 - Go to the Code tab and make sure the ‘Branch’ says 'Master" (it should as it is the default option)
2 - Click on the ‘Clone or Download’ button and select the ‘Download Zip’
3 - Extract the files to your desktop, this will create a folder called “GnomeSequencer-Enhanced-master”
4 - Open this folder and copy ONLY the “GSE” folder into your Addon folder and say yes to overwrite files

Now start game and logon. You should now have a working copy.

  • Your Curse Client will show a ‘Modified’ box if you have your DL option set to Beta or Alpha, DO NOT click on the box until Tim gets things sorted out with the Curse team.

Again I have tested the above and it works. However… If by some chance you are still getting an error, please do the following:

1 - Exit Game
2 - Open Game and at the Character selection screen, select the ‘AddOns’ button and Disable ALL addons except for GSE.
3 - By disabling all other addons will confirm issue is with GSE but we do not have a wall of text since the LUA error screen will show all addons currently running and thus making it easier to read.

** You can still update your addons with the curse client and if you do not click on the modify button for GSE, the client will ignore it.

** Once Tim has everything sorted out I’m sure he will give us the green light.

I have posted this same info in the github ticket.

If you have any questions let me know or ping me on the Wow Lazy Macro Discord Server.

Thanks,

Beef

Unfortunately tracking and finding these issues take time. The hardest part is I need to cause the error locally so I can see what is making it happen.

I have had people say I am deliberately releasing stuff that is broken and I do not care. I use this every day and if it was broken for me I wouldn’t release it. I release things as Alphas and Betas to find these kinds of errors as every persons wow install is different and I want to be able to fix what is occurring at your end.

I also run very few mods so these ones where mods conflict is extremely difficult. I run GSE, DBM, GTFO and ElvUI.

I do appreciate that when this doesn’t work for you it is inconvenient.

[quote quote=48170]Unfortunately tracking and finding these issues take time. The hardest part is I need to cause the error locally so I can see what is making it happen.
I have had people say I am deliberately releasing stuff that is broken and I do not care. I use this every day and if it was broken for me I wouldn’t release it. I release things as Alphas and Betas to find these kinds of errors as every persons wow install is different and I want to be able to fix what is occurring at your end.
I also run very few mods so these ones where mods conflict is extremely difficult. I run GSE, DBM, GTFO and ElvUI.
I do appreciate that when this doesn’t work for you it is inconvenient.
[/quote]

Don’t worry about what people say, those would the pre-pubescent teens i’m guessing.

I know lots of people appreciate your work and this addon helps ALOT of people so they should be grateful for the effort you put in and realise that you have a life too.

Keep up the good work and just carry on doing what you do best :smiley:

Hi Max

The 2.1.00 versions will auto create the ? When you import via the GUI. On the import screen there is a tick box to turn this behaviour off.

To use the macro just drag the ? Yo your toolbar.

This works thanks to seoulcrusher for the info!!! Also Timothy Luke you got this because you are a Rock Star!

I think I have found the fault. I have pushed a manual file in the interim that may be a fix to Curse as Beta 2. There will be a couple of alpha builds to verify if the code fix I have works properly.

When Curse builds GSE, it takes several libraries from all over the place and merges them with GSE’s code. It also takes a database of translations and if they exist translate the mod’s text into local languages. Where it doesnt have a translation it leaves the English in place. For some reason it was trying to translate the english master file and put this in the file modL_enUS.lua file at lines 54-61. This was a database corruption which has been fixed but I have also changed the enUS file to not try to be generated.

L["Active Version: "] = "Active Version: "
L[ [=[Addin Version %s contained versions for the following macros: 
%s]=] ] = [=[Addin Version %s contained versions for the following macros: 
%s]=]
--Translation missing 
-- L[ [=[Addin Version %s contained versions for the following macros:
%s]=] ] = ""
L["Adding missing Language :"] = "Adding missing Language :"
'

the master files instead are:

L["You cannot delete this version of a sequence. This version will be reloaded as it is contained in "] = true

–sequence editor stuff
L[“Sequence”] = true
L[“Edit”] = true
L[“New”] = true
L[“Choose Language”] = true
L[“Translated Sequence”] = true
L[“Sequence Viewer”] = true`

There are 327 individual pieces of english displayed to the mod. Of those language translations exists:

  • 88.38% Simplified Chinese
  • 6.73% Portugese
  • 21.42% Russian
This is from https://wow.curseforge.com/projects/gse-gnome-sequencer-enhanced-advanced-macros/localization From this part of the project site on Curse you can review the strings that the mod uses and translate into your own language.

Thanks for the work Timothy, using the methods described above I’m running the latest beta version through the Curse / Twitch app with no problems - except one - typing /gs ingame no longer brings up the GSE interface window, just an error window (see below), any ideas?

Regards

Jules

Message: Interface\AddOns\GSE\API\Storage.lua:805: attempt to index field 'filterList' (a nil value) Time: 05/16/17 12:49:26 Count: 2 Stack: [C]: ? Interface\AddOns\GSE\API\Storage.lua:805: in function `GetSequenceNames' Interface\AddOns\GSE\GUI\Viewer.lua:276: in function `GUIShowViewer' Interface\AddOns\GSE\API\Events.lua:264: in function `?' ...erface\AddOns\Ace3\AceConsole-3.0\AceConsole-3.0.lua:94: in function `?' Interface\FrameXML\ChatFrame.lua:4397: in function `ChatEdit_ParseText' Interface\FrameXML\ChatFrame.lua:4065: in function `ChatEdit_SendText' Interface\FrameXML\ChatFrame.lua:4101: in function <Interface\FrameXML\ChatFrame.lua:4097> [C]: in function `ChatEdit_OnEnterPressed' [string "*:OnEnterPressed"]:1: in function <[string "*:OnEnterPressed"]:1>

Locals: </blockquote>

`

Grab the latest update from Curse.